NewMonosIOHandler.cpp File Reference
`#include "stdinc.h"`
`#include "NewMonosIOHandler.h"`
`#include "Scanner.h"`
`#include "VarNames.h"`
`#include "BigTermConsumer.h"`
`#include "DataType.h"`
`#include "IdealWriter.h"`
`#include "error.h"`
`#include "InputConsumer.h"`
`#include <cstdio>`

Go to the source code of this file.

## Classes

class | IO::NewMonosIdealWriter

## Namespaces

namespace | IO
namespace | IO::NewMonos

## Functions

void | IO::NewMonos::writeRing (const VarNames &names, FILE *out)
void | IO::NewMonos::readRingNoLeftParen (Scanner &in, VarNames &names)
void | IO::NewMonos::readIdealNoLeftParen (Scanner &in, InputConsumer &consumer)